Configurable bundle + order management feature integration

Edit on GitHub

Install feature core

Prerequisites

To start feature integration, overview and install the necessary features:

NAME VERSION
Configurable Bundle 202108.0
Order Management 202108.0
Spryker Core 202108.0

1) Set up behaviour

PLUGIN SPECIFICATION PREREQUISITES NAMESPACE
ConfiguredBundleOrderItemExpanderPlugin Expands order items with sales order configured bundles. None Spryker\Zed\SalesConfigurableBundle\Communication\Plugin\Sales

src/Pyz/Zed/Sales/SalesDependencyProvider.php

<?php

namespace Pyz\Zed\Sales;

use Spryker\Zed\SalesConfigurableBundle\Communication\Plugin\Sales\ConfiguredBundleOrderItemExpanderPlugin;
use Spryker\Zed\Sales\SalesDependencyProvider as SprykerSalesDependencyProvider;

class SalesDependencyProvider extends SprykerSalesDependencyProvider
{
    /**
     * @return \Spryker\Zed\SalesExtension\Dependency\Plugin\OrderItemExpanderPluginInterface[]
     */
    protected function getOrderItemExpanderPlugins(): array
    {
        return [
            new ConfiguredBundleOrderItemExpanderPlugin(),
        ];
    }
}
Verification

Make sure that every order item from SalesFacade::getOrderItems() results, contains sales order configured bundles data if the order contains configurable bundle.